( function( $ ) {

  $(document).ready(function($){

    // Implement slick carousel.
  	$('.wen-corporate-carousel').slick({
  		customPaging: function(slider, i) {
  		    return '<span data-role="none" aria-required="false" tabindex="0"></span>';
  		}
  	});

    // Implement go to top.
    if ( $('#btn-scrollup').length > 0 ) {

      $(window).scroll(function(){
          if ($(this).scrollTop() > 100) {
              $('#btn-scrollup').fadeIn();
          } else {
              $('#btn-scrollup').fadeOut();
          }
      });

      $('#btn-scrollup').click(function(){
          $("html, body").animate({ scrollTop: 0 }, 600);
          return false;
      });
    }

function initMainNavigation( container ) {
    // Add dropdown toggle that display child menu items.
    container.find( '.menu-item-has-children > a' ).after( '<button class="dropdown-toggle" aria-expanded="false">' + WEN_Corporate_Screen_Reader_Text.expand + '</button>' );

    // Toggle buttons and submenu items with active children menu items.
    container.find( '.current-menu-ancestor > button' ).addClass( 'toggle-on' );
    container.find( '.current-menu-ancestor > .sub-menu' ).addClass( 'toggled-on' );

    container.find( '.dropdown-toggle' ).click( function( e ) {
      var _this = $( this );
      e.preventDefault();
      _this.toggleClass( 'toggle-on' );
      _this.next( '.children, .sub-menu' ).toggleClass( 'toggled-on' );
      _this.attr( 'aria-expanded', _this.attr( 'aria-expanded' ) === 'false' ? 'true' : 'false' );
      _this.html( _this.html() === WEN_Corporate_Screen_Reader_Text.expand ? WEN_Corporate_Screen_Reader_Text.collapse : WEN_Corporate_Screen_Reader_Text.expand );
    } );
  }
  initMainNavigation( $( '.main-navigation' ) );
  });

    // Fixed header.
    if ( $( 'body' ).hasClass( 'enabled-sticky-primary-menu' ) ) {
	    $(window).scroll(function () {
	        if( $(window).scrollTop() > $('#main-nav,.site-header').offset().top && !($('#main-nav,.site-header').hasClass('fixed'))){
	          $('#main-nav,.site-header').addClass('fixed');
	      }

	      else if ($(window).scrollTop() == 0){
	          $('#main-nav,.site-header').removeClass('fixed');
	      }
	  });
    }

    // Search in Header.
    if( $('.search-icon').length > 0 ) {
      $('.search-icon').click(function(e){
          e.preventDefault();
          $(".search-box-wrap").slideToggle();
      });

    }
} )( jQuery );


//our team section
/*jQuery( function($){
  $(".thumb-summary-wrap").hover( function(){

    $(this).children('.our-team-summary').stop().slideDown(300);

  }, function(){
    $(this).children('.our-team-summary').stop().slideUp(300);
  });
});
*/

